package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Robert
 * @since 2021-06-03
 */

@TableName("OPERATION")

public class Operation extends Model<Operation> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("CHANGE_STAMP")
   private Long changeStamp;
   @TableField("SITE")
   private String site;
   @TableField("OPERATION")
   private String operation;
   @TableField("TYPE")
   private String type;
   @TableField("SPECIAL_ROUTER_BO")
   private String specialRouterBo;
   @TableField("STATUS_BO")
   private String statusBo;
   @TableField("RESOURCE_TYPE_BO")
   private String resourceTypeBo;
   @TableField("REVISION")
   private String revision;
   @TableField("CURRENT_REVISION")
   private String currentRevision;
   @TableField("EFF_START_DATE")
   private LocalDateTime effStartDate;
   @TableField("EFF_END_DATE")
   private LocalDateTime effEndDate;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("PCA_DASHBOARD_MODE")
   private String pcaDashboardMode;
   @TableField("DEFAULT_NC_CODE_BO")
   private String defaultNcCodeBo;
   @TableField("FAILURE_TRACKING_CONFIG_BO")
   private String failureTrackingConfigBo;
   @TableField("RESOURCE_BO")
   private String resourceBo;
   @TableField("MAX_LOOP")
   private Long maxLoop;
   @TableField("REQUIRED_TIME_IN_PROCESS")
   private Long requiredTimeInProcess;
   @TableField("REPORTING_STEP")
   private String reportingStep;
   @TableField("PREV_SITE")
   private String prevSite;
   @TableField("ORIGINAL_TRANSFER_KEY")
   private String originalTransferKey;
   @TableField("SPECIAL_INSTRUCTION")
   private String specialInstruction;
   @TableField("REPORTING_CENTER_BO")
   private String reportingCenterBo;
   @TableField("ERP_CONTROL_KEY_BO")
   private String erpControlKeyBo;
   @TableField("ERP_WORK_CENTER_BO")
   private String erpWorkCenterBo;
   @TableField(exist = false)
   private String description;
   @TableField(exist = false)
   private String stepId;
   @TableField(exist = false)
   private String item;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getChangeStamp() {
      return changeStamp;
   }

   public void setChangeStamp(Long changeStamp) {
      this.changeStamp = changeStamp;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getType() {
      return type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getSpecialRouterBo() {
      return specialRouterBo;
   }

   public void setSpecialRouterBo(String specialRouterBo) {
      this.specialRouterBo = specialRouterBo;
   }

   public String getStatusBo() {
      return statusBo;
   }

   public void setStatusBo(String statusBo) {
      this.statusBo = statusBo;
   }

   public String getResourceTypeBo() {
      return resourceTypeBo;
   }

   public void setResourceTypeBo(String resourceTypeBo) {
      this.resourceTypeBo = resourceTypeBo;
   }

   public String getRevision() {
      return revision;
   }

   public void setRevision(String revision) {
      this.revision = revision;
   }

   public String getCurrentRevision() {
      return currentRevision;
   }

   public void setCurrentRevision(String currentRevision) {
      this.currentRevision = currentRevision;
   }

   public LocalDateTime getEffStartDate() {
      return effStartDate;
   }

   public void setEffStartDate(LocalDateTime effStartDate) {
      this.effStartDate = effStartDate;
   }

   public LocalDateTime getEffEndDate() {
      return effEndDate;
   }

   public void setEffEndDate(LocalDateTime effEndDate) {
      this.effEndDate = effEndDate;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getPcaDashboardMode() {
      return pcaDashboardMode;
   }

   public void setPcaDashboardMode(String pcaDashboardMode) {
      this.pcaDashboardMode = pcaDashboardMode;
   }

   public String getDefaultNcCodeBo() {
      return defaultNcCodeBo;
   }

   public void setDefaultNcCodeBo(String defaultNcCodeBo) {
      this.defaultNcCodeBo = defaultNcCodeBo;
   }

   public String getFailureTrackingConfigBo() {
      return failureTrackingConfigBo;
   }

   public void setFailureTrackingConfigBo(String failureTrackingConfigBo) {
      this.failureTrackingConfigBo = failureTrackingConfigBo;
   }


   public String getResourceBo() {
      return resourceBo;
   }

   public void setResourceBo(String resourceBo) {
      this.resourceBo = resourceBo;
   }

   public Long getMaxLoop() {
      return maxLoop;
   }

   public void setMaxLoop(Long maxLoop) {
      this.maxLoop = maxLoop;
   }

   public Long getRequiredTimeInProcess() {
      return requiredTimeInProcess;
   }

   public void setRequiredTimeInProcess(Long requiredTimeInProcess) {
      this.requiredTimeInProcess = requiredTimeInProcess;
   }

   public String getReportingStep() {
      return reportingStep;
   }

   public void setReportingStep(String reportingStep) {
      this.reportingStep = reportingStep;
   }

   public String getPrevSite() {
      return prevSite;
   }

   public void setPrevSite(String prevSite) {
      this.prevSite = prevSite;
   }

   public String getOriginalTransferKey() {
      return originalTransferKey;
   }

   public void setOriginalTransferKey(String originalTransferKey) {
      this.originalTransferKey = originalTransferKey;
   }

   public String getSpecialInstruction() {
      return specialInstruction;
   }

   public void setSpecialInstruction(String specialInstruction) {
      this.specialInstruction = specialInstruction;
   }

   public String getReportingCenterBo() {
      return reportingCenterBo;
   }

   public void setReportingCenterBo(String reportingCenterBo) {
      this.reportingCenterBo = reportingCenterBo;
   }

   public String getErpControlKeyBo() {
      return erpControlKeyBo;
   }

   public void setErpControlKeyBo(String erpControlKeyBo) {
      this.erpControlKeyBo = erpControlKeyBo;
   }

   public String getErpWorkCenterBo() {
      return erpWorkCenterBo;
   }

   public void setErpWorkCenterBo(String erpWorkCenterBo) {
      this.erpWorkCenterBo = erpWorkCenterBo;
   }



   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getItem() {
      return item;
   }

   public void setItem(String item) {
      this.item = item;
   }

   public static final String HANDLE = "HANDLE";

   public static final String CHANGE_STAMP = "CHANGE_STAMP";

   public static final String SITE = "SITE";

   public static final String OPERATION = "OPERATION";

   public static final String TYPE = "TYPE";

   public static final String SPECIAL_ROUTER_BO = "SPECIAL_ROUTER_BO";

   public static final String STATUS_BO = "STATUS_BO";

   public static final String RESOURCE_TYPE_BO = "RESOURCE_TYPE_BO";

   public static final String REVISION = "REVISION";

   public static final String CURRENT_REVISION = "CURRENT_REVISION";

   public static final String EFF_START_DATE = "EFF_START_DATE";

   public static final String EFF_END_DATE = "EFF_END_DATE";

   public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

   public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

   public static final String PCA_DASHBOARD_MODE = "PCA_DASHBOARD_MODE";

   public static final String DEFAULT_NC_CODE_BO = "DEFAULT_NC_CODE_BO";

   public static final String FAILURE_TRACKING_CONFIG_BO = "FAILURE_TRACKING_CONFIG_BO";

   public static final String RESOURCE_BO = "RESOURCE_BO";

   public static final String MAX_LOOP = "MAX_LOOP";

   public static final String REQUIRED_TIME_IN_PROCESS = "REQUIRED_TIME_IN_PROCESS";

   public static final String REPORTING_STEP = "REPORTING_STEP";

   public static final String PREV_SITE = "PREV_SITE";

   public static final String ORIGINAL_TRANSFER_KEY = "ORIGINAL_TRANSFER_KEY";

   public static final String SPECIAL_INSTRUCTION = "SPECIAL_INSTRUCTION";

   public static final String REPORTING_CENTER_BO = "REPORTING_CENTER_BO";

   public static final String ERP_CONTROL_KEY_BO = "ERP_CONTROL_KEY_BO";

   public static final String ERP_WORK_CENTER_BO = "ERP_WORK_CENTER_BO";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "Operation{" +
              "handle='" + handle + '\'' +
              ", changeStamp=" + changeStamp +
              ", site='" + site + '\'' +
              ", operation='" + operation + '\'' +
              ", type='" + type + '\'' +
              ", specialRouterBo='" + specialRouterBo + '\'' +
              ", statusBo='" + statusBo + '\'' +
              ", resourceTypeBo='" + resourceTypeBo + '\'' +
              ", revision='" + revision + '\'' +
              ", currentRevision='" + currentRevision + '\'' +
              ", effStartDate=" + effStartDate +
              ", effEndDate=" + effEndDate +
              ", createdDateTime=" + createdDateTime +
              ", modifiedDateTime=" + modifiedDateTime +
              ", pcaDashboardMode='" + pcaDashboardMode + '\'' +
              ", defaultNcCodeBo='" + defaultNcCodeBo + '\'' +
              ", failureTrackingConfigBo='" + failureTrackingConfigBo + '\'' +
              ", resourceBo='" + resourceBo + '\'' +
              ", maxLoop=" + maxLoop +
              ", requiredTimeInProcess=" + requiredTimeInProcess +
              ", reportingStep='" + reportingStep + '\'' +
              ", prevSite='" + prevSite + '\'' +
              ", originalTransferKey='" + originalTransferKey + '\'' +
              ", specialInstruction='" + specialInstruction + '\'' +
              ", reportingCenterBo='" + reportingCenterBo + '\'' +
              ", erpControlKeyBo='" + erpControlKeyBo + '\'' +
              ", erpWorkCenterBo='" + erpWorkCenterBo + '\'' +
              ", description='" + description + '\'' +
              '}';
   }
}